Mailbox
Claim or rent a mailbox
Creates a mailbox on the default domain or a connected custom domain. An optional localPart selects the address. Replaying the same Idempotency-Key and payload returns the original mailbox. Fresh requests and replays return 202 with the current mailbox state. Poll the mailbox when the response does not yet include a checkout URL.
POST
/
mailboxes
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const mailbox = await client.mailboxes.create();
console.log(mailbox.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
mailbox = client.mailboxes.create()
print(mailbox.data)curl --request POST \
--url https://api.mobilerun.ai/v1/mailboxes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"localPart": "jane-doe"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mobilerun.ai/v1/mailboxes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domainId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'label' => '<string>',
'localPart' => 'jane-doe'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mobilerun.ai/v1/mailboxes"
payload := strings.NewReader("{\n \"domainId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"label\": \"<string>\",\n \"localPart\": \"jane-doe\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mobilerun.ai/v1/mailboxes")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"domainId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"label\": \"<string>\",\n \"localPart\": \"jane-doe\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mobilerun.ai/v1/mailboxes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"domainId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"label\": \"<string>\",\n \"localPart\": \"jane-doe\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"address": "mx_7k3q9p2m4v8d@inbox.example",
"billingMode": "rent",
"cancelAtPeriodEnd": true,
"checkoutExpiresAt": "2023-11-07T05:31:56Z",
"checkoutUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"currentPeriodEnd": "2023-11-07T05:31:56Z",
"domainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inboundMessages": {
"exhausted": true,
"included": 1,
"resetsAt": "2023-11-07T05:31:56Z",
"used": 1
},
"label": "<string>",
"provider": "matix",
"status": "provisioning"
}
}{
"data": {
"address": "mx_7k3q9p2m4v8d@inbox.example",
"billingMode": "rent",
"cancelAtPeriodEnd": true,
"checkoutExpiresAt": "2023-11-07T05:31:56Z",
"checkoutUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"currentPeriodEnd": "2023-11-07T05:31:56Z",
"domainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inboundMessages": {
"exhausted": true,
"included": 1,
"resetsAt": "2023-11-07T05:31:56Z",
"used": 1
},
"label": "<string>",
"provider": "matix",
"status": "provisioning"
}
}{
"data": {
"address": "mx_7k3q9p2m4v8d@inbox.example",
"billingMode": "rent",
"cancelAtPeriodEnd": true,
"checkoutExpiresAt": "2023-11-07T05:31:56Z",
"checkoutUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"currentPeriodEnd": "2023-11-07T05:31:56Z",
"domainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inboundMessages": {
"exhausted": true,
"included": 1,
"resetsAt": "2023-11-07T05:31:56Z",
"used": 1
},
"label": "<string>",
"provider": "matix",
"status": "provisioning"
}
}{
"code": "mailboxes_disabled",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryAfterSeconds": 123,
"traceId": "<string>"
}{
"code": "mailboxes_disabled",
"message": "<string>"
}{
"code": "mailboxes_disabled",
"message": "<string>"
}{
"code": "mailboxes_disabled",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryAfterSeconds": 123,
"traceId": "<string>"
}{
"code": "mailboxes_disabled",
"message": "<string>"
}{
"code": "mailboxes_disabled",
"message": "<string>"
}Headers
Idempotency-Key: 1-255 printable ASCII characters. Same key with a different request body is a 422 idempotency_key_reused. A retryable in-flight duplicate is a 409 with Retry-After and x-should-retry: true; a terminal duplicate is a 409 with x-should-retry: false. A replay returns the current resource state with Idempotent-Replayed: true.
Required string length:
1 - 255Pattern:
^[\x21-\x7E]{1,255}$Example:
"b3f6a9f0-6f1a-4e9a-9e7a-9c9b6b6a5a3f"
Body
application/json
Was this page helpful?
⌘I
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const mailbox = await client.mailboxes.create();
console.log(mailbox.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
mailbox = client.mailboxes.create()
print(mailbox.data)curl --request POST \
--url https://api.mobilerun.ai/v1/mailboxes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"localPart": "jane-doe"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mobilerun.ai/v1/mailboxes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domainId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'label' => '<string>',
'localPart' => 'jane-doe'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mobilerun.ai/v1/mailboxes"
payload := strings.NewReader("{\n \"domainId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"label\": \"<string>\",\n \"localPart\": \"jane-doe\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mobilerun.ai/v1/mailboxes")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"domainId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"label\": \"<string>\",\n \"localPart\": \"jane-doe\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mobilerun.ai/v1/mailboxes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"domainId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"label\": \"<string>\",\n \"localPart\": \"jane-doe\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"address": "mx_7k3q9p2m4v8d@inbox.example",
"billingMode": "rent",
"cancelAtPeriodEnd": true,
"checkoutExpiresAt": "2023-11-07T05:31:56Z",
"checkoutUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"currentPeriodEnd": "2023-11-07T05:31:56Z",
"domainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inboundMessages": {
"exhausted": true,
"included": 1,
"resetsAt": "2023-11-07T05:31:56Z",
"used": 1
},
"label": "<string>",
"provider": "matix",
"status": "provisioning"
}
}{
"data": {
"address": "mx_7k3q9p2m4v8d@inbox.example",
"billingMode": "rent",
"cancelAtPeriodEnd": true,
"checkoutExpiresAt": "2023-11-07T05:31:56Z",
"checkoutUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"currentPeriodEnd": "2023-11-07T05:31:56Z",
"domainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inboundMessages": {
"exhausted": true,
"included": 1,
"resetsAt": "2023-11-07T05:31:56Z",
"used": 1
},
"label": "<string>",
"provider": "matix",
"status": "provisioning"
}
}{
"data": {
"address": "mx_7k3q9p2m4v8d@inbox.example",
"billingMode": "rent",
"cancelAtPeriodEnd": true,
"checkoutExpiresAt": "2023-11-07T05:31:56Z",
"checkoutUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"currentPeriodEnd": "2023-11-07T05:31:56Z",
"domainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inboundMessages": {
"exhausted": true,
"included": 1,
"resetsAt": "2023-11-07T05:31:56Z",
"used": 1
},
"label": "<string>",
"provider": "matix",
"status": "provisioning"
}
}{
"code": "mailboxes_disabled",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryAfterSeconds": 123,
"traceId": "<string>"
}{
"code": "mailboxes_disabled",
"message": "<string>"
}{
"code": "mailboxes_disabled",
"message": "<string>"
}{
"code": "mailboxes_disabled",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryAfterSeconds": 123,
"traceId": "<string>"
}{
"code": "mailboxes_disabled",
"message": "<string>"
}{
"code": "mailboxes_disabled",
"message": "<string>"
}